Bug 809827 - katello-reset-dbs does not fully support SAM, unable to configure SAM after running reset-dbs
katello-reset-dbs does not fully support SAM, unable to configure SAM after r...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: 1.X
Assigned To: Lukas Zapletal
SAM QE List
: Reopened, Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-04-04 09:25 EDT by Eric Sammons
Modified: 2012-10-23 14:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-headpin-0.1.145-1.el6.noarch katello-qpid-broker-key-pair-1.0-1.noarch katello-certs-tools-1.0.6-1.el6.noarch katello-cli-headpin-0.1.16-1.el6.noarch katello-common-0.1.307-1.el6.noarch katello-selinux-0.1.10-1.el6.noarch katello-candlepin-cert-key-pair-1.0-1.noarch katello-glue-candlepin-0.1.307-1.el6.noarch katello-qpid-client-key-pair-1.0-1.noarch katello-configure-0.1.107-1.el6.noarch katello-headpin-all-0.1.145-1.el6.noarch katello-cli-common-0.1.107-1.el6.noarch
Last Closed: 2012-10-23 14:56:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-04-04 09:25:18 EDT
Description of problem:
When running katello-reset-dbs multiple errors are returned and once run katello-configure --deployment=sam does not seem to work, returning a error.

Version-Release number of selected component (if applicable):
katello-configure-0.1.107-1.el6.noarch

Steps to Reproduce:
1. yum install -y katello-headpin-all
2. katello-configure --deployment=katello
3. /usr/share/katello/scripts/katello-reset-dbs
4. katello-configure --deployment=sam
  
Actual results:
# katello-configure --deployment=sam --org-name=RedHat_QE
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120404-091827/main.log]
Populating Katello database schema

  Failed, please check [/var/log/katello/katello-configure/db_migrate.log]
err: /Stage[main]/Apache2::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Service[httpd]: Execution of '/sbin/service httpd start' returned 1:  at /usr/share/katello/install/puppet/modules/apache2/manifests/service.pp:4


Expected results:
Successful configuration of SAM
Comment 2 Tazim Kolhar 2012-04-30 03:15:18 EDT
Successful configuration of SAM did not take place 


Steps to Reproduce :
1. yum install -y katello-headpin-all
2. katello-configure --deployment katello
   erase data base :
3. /usr/share/katello/scripts/katello-reset-dbs
4. katello-configure --deployment=sam --org-name RedHat_QE


Packages used :
[root@hp-xw8600-01 ~]# rpm -qa | grep katello
katello-configure-0.3.1-2.el6_2.noarch
katello-selinux-0.1.10-1.el6.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-configure-upgrade-0.3.1-2.el6_2.noarch
katello-cli-common-0.3.1-1.el6_2.noarch
katello-glue-candlepin-0.3.0-2.el6_2.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-certs-tools-1.0.6-1.el6.noarch
katello-headpin-0.2.4-3.el6_2.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-common-0.3.0-2.el6_2.noarch
katello-headpin-all-0.2.4-3.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch



Actual results :

[root@hp-xw8600-01 ~]# katello-configure --deployment=katello
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120430-030323/main.log]
err: /Stage[main]/Mongodb::Service/Service[mongod]/ensure: change from stopped to running failed: Could not start Service[mongod]: Execution of '/sbin/service mongod start' returned 1:  at /usr/share/katello/install/puppet/modules/mongodb/manifests/service.pp:5
err: /File[/var/lib/pulp/packages]/ensure: change from absent to directory failed: Cannot create /var/lib/pulp/packages; parent directory /var/lib/pulp does not exist
err: /Stage[main]/Certs::Config/Exec[strip-qpid-client-certificate]/returns: change from notrun to 0 failed: cp /root/ssl-build/hp-xw8600-01.rhts.eng.bos.redhat.com/qpid-client.key /etc/pki/pulp/qpid_client_striped.crt; openssl x509 -in /root/ssl-build/hp-xw8600-01.rhts.eng.bos.redhat.com/qpid-client.crt >> /etc/pki/pulp/qpid_client_striped.crt returned 1 instead of one of [0] at /usr/share/katello/install/puppet/modules/certs/manifests/config.pp:306
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Creating Candlepin database user
############################################################ ... OK
Creating Candlepin database
############################################################ ... OK
[root@hp-xw8600-01 ~]# /usr/share/katello/script/katello-reset-dbs


***********************************************************
THIS SCRIPT WILL ERASE KATELLO / CANDLEPIN / PULP DATABASES
***********************************************************


All data from all systems will be erased completely!


This script only works with PostgreSQL database.


It is strongly recommended to back up databases:
 # mongodump --db pulp_database --out - > pulp_database.json
 # pg_dump -c candlepin > candlepin_db.sql
 # pg_dump -c katello > katello_db.sql


Are you sure you want to proceed (yes/no)? yes
Erasing all data...
Stopping Katello instance
Stopping Katello jobs instance
Stopping Pulp instance
pulp-server: unrecognized service
Stopping Candlepin instance
Dropping Pulp database
mongod: unrecognized service
mongod: unrecognized service
Initializing Pulp database
/usr/share/katello/script/katello-reset-dbs: line 85: /usr/bin/pulp-migrate: No such file or directory
Initializing Candlepin database
Dropping candlepin database
Creating candlepin database
Loading candlepin schema
** Skipping configuration file setup
Certificates are already present.
Waiting for tomcat to restart...
Waiting for tomcat to restart...
Waiting for tomcat to restart...
Waiting for tomcat to restart...

########## ERROR ############
Error running command: wget -qO- http://localhost:8080/candlepin/admin/init
Status code: 2048
Command output: 
Traceback (most recent call last):
  File "/usr/share/candlepin/cpsetup", line 225, in <module>
    main(sys.argv[1:])
  File "/usr/share/candlepin/cpsetup", line 217, in main
    run_command("wget -qO- http://localhost:8080/candlepin/admin/init")
  File "/usr/share/candlepin/cpsetup", line 35, in run_command
    raise Exception("Error running command")
Exception: Error running command
Starting Pulp instance
pulp-server: unrecognized service
Starting Candlepin instance
Stopping tomcat6: [  OK  ]
Starting tomcat6: [  OK  ]
Initializing Katello database
** Invoke setup (first_time)
** Invoke check_db_config (first_time)
** Invoke db:load_config (first_time)
** Invoke rails_env (first_time)
** Execute rails_env
** Execute db:load_config
** Execute check_db_config
** Invoke clear_search_indices (first_time)
** Execute clear_search_indices
Search Indices cleared.
** Invoke db:migrate:reset (first_time)
** Invoke db:drop (first_time)
** Invoke db:load_config 
** Execute db:drop
** Invoke db:create (first_time)
** Invoke db:load_config 
** Execute db:create
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate
==  CreateOrganizations: migrating ============================================
-- create_table(:organizations)
NOTICE:  CREATE TABLE will create implicit sequence "organizations_id_seq" for serial column "organizations.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "organizations_pkey" for table "organizations"
   -> 0.0783s
==  CreateOrganizations: migrated (0.0785s) ===================================

==  CreateEnvironments: migrating =============================================
-- create_table(:environments)
NOTICE:  CREATE TABLE will create implicit sequence "environments_id_seq" for serial column "environments.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "environments_pkey" for table "environments"
   -> 0.1159s
==  CreateEnvironments: migrated (0.1160s) ====================================

==  AddEnvironmentPriors: migrating ===========================================
-- create_table(:environment_priors, {:id=>false})
   -> 0.0011s
==  AddEnvironmentPriors: migrated (0.0012s) ==================================

==  CreateProducts: migrating =================================================
-- create_table(:products)
NOTICE:  CREATE TABLE will create implicit sequence "products_id_seq" for serial column "products.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "products_pkey" for table "products"
   -> 0.0823s
==  CreateProducts: migrated (0.0824s) ========================================

==  EnvironmentsProducts: migrating ===========================================
-- create_table(:environment_products)
NOTICE:  CREATE TABLE will create implicit sequence "environment_products_id_seq" for serial column "environment_products.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "environment_products_pkey" for table "environment_products"
   -> 0.0491s
-- add_index(:environment_products, [:environment_id, :product_id], {:unique=>true})
   -> 0.0420s
==  EnvironmentsProducts: migrated (0.0913s) ==================================

==  CreateProviders: migrating ================================================
-- create_table(:providers)
NOTICE:  CREATE TABLE will create implicit sequence "providers_id_seq" for serial column "providers.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "providers_pkey" for table "providers"
   -> 0.0838s
==  CreateProviders: migrated (0.0839s) =======================================

==  CreateChangesets: migrating ===============================================
-- create_table(:changesets)
NOTICE:  CREATE TABLE will create implicit sequence "changesets_id_seq" for serial column "changesets.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changesets_pkey" for table "changesets"
   -> 0.0507s
==  CreateChangesets: migrated (0.0508s) ======================================

==  CreateUsers: migrating ====================================================
-- create_table(:users)
NOTICE:  CREATE TABLE will create implicit sequence "users_id_seq" for serial column "users.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "users_pkey" for table "users"
   -> 0.0854s
==  CreateUsers: migrated (0.0855s) ===========================================

==  CreateRoles: migrating ====================================================
-- create_table(:roles)
NOTICE:  CREATE TABLE will create implicit sequence "roles_id_seq" for serial column "roles.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "roles_pkey" for table "roles"
   -> 0.0661s
==  CreateRoles: migrated (0.0662s) ===========================================

==  CreateVerbs: migrating ====================================================
-- create_table(:verbs)
NOTICE:  CREATE TABLE will create implicit sequence "verbs_id_seq" for serial column "verbs.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "verbs_pkey" for table "verbs"
   -> 0.0457s
==  CreateVerbs: migrated (0.0458s) ===========================================

==  CreateResourceTypes: migrating ============================================
-- create_table(:resource_types)
NOTICE:  CREATE TABLE will create implicit sequence "resource_types_id_seq" for serial column "resource_types.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "resource_types_pkey" for table "resource_types"
   -> 0.0458s
==  CreateResourceTypes: migrated (0.0459s) ===================================

==  CreatePermissions: migrating ==============================================
-- create_table(:permissions)
NOTICE:  CREATE TABLE will create implicit sequence "permissions_id_seq" for serial column "permissions.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "permissions_pkey" for table "permissions"
   -> 0.0546s
-- add_index(:permissions, :role_id)
   -> 0.0449s
-- add_index(:permissions, :resource_type_id, {:null=>true})
   -> 0.0477s
-- add_index(:permissions, :organization_id, {:null=>true})
   -> 0.0422s
==  CreatePermissions: migrated (0.1898s) =====================================

==  CreatePermissionVerb: migrating ===========================================
-- create_table(:permissions_verbs, {:id=>false})
   -> 0.0009s
-- add_index(:permissions_verbs, :permission_id)
   -> 0.0386s
-- add_index(:permissions_verbs, :verb_id)
   -> 0.0421s
==  CreatePermissionVerb: migrated (0.0819s) ==================================

==  CreatePermissionTag: migrating ============================================
-- create_table(:permission_tags)
NOTICE:  CREATE TABLE will create implicit sequence "permission_tags_id_seq" for serial column "permission_tags.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "permission_tags_pkey" for table "permission_tags"
   -> 0.0494s
==  CreatePermissionTag: migrated (0.0495s) ===================================

==  CreateRoleUser: migrating =================================================
-- create_table(:roles_users, {:id=>false})
   -> 0.0009s
-- add_index(:roles_users, :role_id)
   -> 0.0485s
-- add_index(:roles_users, :user_id)
   -> 0.0338s
==  CreateRoleUser: migrated (0.0835s) ========================================

==  ChangesetsProducts: migrating =============================================
-- create_table(:changesets_products, {:id=>false})
   -> 0.0009s
==  ChangesetsProducts: migrated (0.0010s) ====================================

==  CreateHelpTips: migrating =================================================
-- create_table(:help_tips)
NOTICE:  CREATE TABLE will create implicit sequence "help_tips_id_seq" for serial column "help_tips.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "help_tips_pkey" for table "help_tips"
   -> 0.0507s
==  CreateHelpTips: migrated (0.0508s) ========================================

==  AddOwnerToRole: migrating =================================================
-- add_column(:users, :own_role_id, :integer)
   -> 0.0005s
==  AddOwnerToRole: migrated (0.0006s) ========================================

==  CreateNotices: migrating ==================================================
-- create_table(:notices)
NOTICE:  CREATE TABLE will create implicit sequence "notices_id_seq" for serial column "notices.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "notices_pkey" for table "notices"
   -> 0.0863s
-- create_table(:user_notices)
NOTICE:  CREATE TABLE will create implicit sequence "user_notices_id_seq" for serial column "user_notices.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "user_notices_pkey" for table "user_notices"
   -> 0.0340s
==  CreateNotices: migrated (0.1205s) =========================================

==  CreateSystems: migrating ==================================================
-- create_table(:systems)
NOTICE:  CREATE TABLE will create implicit sequence "systems_id_seq" for serial column "systems.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "systems_pkey" for table "systems"
   -> 0.0874s
==  CreateSystems: migrated (0.0875s) =========================================

==  ChangesetPackages: migrating ==============================================
-- create_table(:changeset_packages)
NOTICE:  CREATE TABLE will create implicit sequence "changeset_packages_id_seq" for serial column "changeset_packages.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changeset_packages_pkey" for table "changeset_packages"
   -> 0.0884s
==  ChangesetPackages: migrated (0.0885s) =====================================

==  ChangesetErrata: migrating ================================================
-- create_table(:changeset_errata)
NOTICE:  CREATE TABLE will create implicit sequence "changeset_errata_id_seq" for serial column "changeset_errata.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changeset_errata_pkey" for table "changeset_errata"
   -> 0.0893s
==  ChangesetErrata: migrated (0.0894s) =======================================

==  CreateSyncPlans: migrating ================================================
-- create_table(:sync_plans)
NOTICE:  CREATE TABLE will create implicit sequence "sync_plans_id_seq" for serial column "sync_plans.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "sync_plans_pkey" for table "sync_plans"
   -> 0.0819s
==  CreateSyncPlans: migrated (0.0820s) =======================================

==  AddChangesetPromotionDate: migrating ======================================
-- add_column(:changesets, :promotion_date, :datetime)
   -> 0.0005s
==  AddChangesetPromotionDate: migrated (0.0006s) =============================

==  ChangesetRepos: migrating =================================================
-- create_table(:changesets_repositories, {:id=>false})
   -> 0.0010s
==  ChangesetRepos: migrated (0.0011s) ========================================

==  CreateSearchHistories: migrating ==========================================
-- create_table(:search_histories)
NOTICE:  CREATE TABLE will create implicit sequence "search_histories_id_seq" for serial column "search_histories.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "search_histories_pkey" for table "search_histories"
   -> 0.0832s
==  CreateSearchHistories: migrated (0.0834s) =================================

==  CreateSearchFavorites: migrating ==========================================
-- create_table(:search_favorites)
NOTICE:  CREATE TABLE will create implicit sequence "search_favorites_id_seq" for serial column "search_favorites.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "search_favorites_pkey" for table "search_favorites"
   -> 0.1099s
==  CreateSearchFavorites: migrated (0.1100s) =================================

==  AddChangesetStatus: migrating =============================================
-- add_column(:changesets, :state, :string, {:null=>false, :default=>"new"})
   -> 0.0442s
-- remove_column(:changesets, :published)
   -> 0.0005s
==  AddChangesetStatus: migrated (0.0448s) ====================================

==  AddUserPageSize: migrating ================================================
-- add_column(:users, :page_size, :integer, {:null=>false, :default=>25})
   -> 0.0010s
==  AddUserPageSize: migrated (0.0011s) =======================================

==  CreateDelayedJobs: migrating ==============================================
-- create_table(:delayed_jobs, {:force=>true})
NOTICE:  CREATE TABLE will create implicit sequence "delayed_jobs_id_seq" for serial column "delayed_jobs.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "delayed_jobs_pkey" for table "delayed_jobs"
   -> 0.0998s
-- add_index(:delayed_jobs, [:priority, :run_at], {:name=>"delayed_jobs_priority"})
   -> 0.0457s
==  CreateDelayedJobs: migrated (0.1457s) =====================================

==  ChangesetUsers: migrating =================================================
-- create_table(:changeset_users)
NOTICE:  CREATE TABLE will create implicit sequence "changeset_users_id_seq" for serial column "changeset_users.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changeset_users_pkey" for table "changeset_users"
   -> 0.0454s
==  ChangesetUsers: migrated (0.0455s) ========================================

==  ProductsSystemTemplates: migrating ========================================
-- create_table(:products_system_templates, {:id=>false})
   -> 0.0009s
==  ProductsSystemTemplates: migrated (0.0010s) ===============================

==  CreateOrganizationUser: migrating =========================================
-- create_table(:organizations_users, {:id=>false})
   -> 0.0009s
-- add_index(:organizations_users, :organization_id)
   -> 0.0453s
-- add_index(:organizations_users, :user_id)
   -> 0.0533s
==  CreateOrganizationUser: migrated (0.0997s) ================================

==  AddRoleDescription: migrating =============================================
-- add_column(:roles, :description, :string, {:limit=>250})
   -> 0.0389s
==  AddRoleDescription: migrated (0.0390s) ====================================

==  AddUserDisabled: migrating ================================================
-- add_column(:users, :disabled, :boolean, {:default=>false})
   -> 0.0008s
==  AddUserDisabled: migrated (0.0009s) =======================================

==  CreateActivationKeys: migrating ===========================================
-- create_table(:activation_keys)
NOTICE:  CREATE TABLE will create implicit sequence "activation_keys_id_seq" for serial column "activation_keys.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "activation_keys_pkey" for table "activation_keys"
   -> 0.0903s
==  CreateActivationKeys: migrated (0.0904s) ==================================

==  TaskStatus: migrating =====================================================
-- create_table(:task_statuses)
NOTICE:  CREATE TABLE will create implicit sequence "task_statuses_id_seq" for serial column "task_statuses.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "task_statuses_pkey" for table "task_statuses"
   -> 0.0826s
-- add_index(:task_statuses, :uuid)
   -> 0.0349s
==  TaskStatus: migrated (0.1177s) ============================================

==  CreateSubscriptions: migrating ============================================
-- create_table(:subscriptions)
NOTICE:  CREATE TABLE will create implicit sequence "subscriptions_id_seq" for serial column "subscriptions.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "subscriptions_pkey" for table "subscriptions"
   -> 0.0415s
-- create_table(:key_subscriptions)
NOTICE:  CREATE TABLE will create implicit sequence "key_subscriptions_id_seq" for serial column "key_subscriptions.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "key_subscriptions_pkey" for table "key_subscriptions"
   -> 0.0496s
==  CreateSubscriptions: migrated (0.0913s) ===================================

==  AddChangesetTaskId: migrating =============================================
-- change_table(:changesets)
   -> 0.0004s
==  AddChangesetTaskId: migrated (0.0005s) ====================================

==  AddChangesetsDescription: migrating =======================================
-- add_column(:changesets, :description, :string)
   -> 0.0005s
==  AddChangesetsDescription: migrated (0.0006s) ==============================

==  AddChangesetDependency: migrating =========================================
-- create_table(:changeset_dependencies)
NOTICE:  CREATE TABLE will create implicit sequence "changeset_dependencies_id_seq" for serial column "changeset_dependencies.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changeset_dependencies_pkey" for table "changeset_dependencies"
   -> 0.0848s
==  AddChangesetDependency: migrated (0.0849s) ================================

==  AddSystemTemplateToSystem: migrating ======================================
-- add_column(:systems, :system_template_id, :integer)
   -> 0.0005s
-- add_index(:systems, :system_template_id)
   -> 0.0507s
==  AddSystemTemplateToSystem: migrated (0.0514s) =============================

==  AddUserToActivationKeys: migrating ========================================
-- add_column(:activation_keys, :user_id, :integer)
   -> 0.0005s
-- add_index(:activation_keys, :user_id)
   -> 0.0516s
==  AddUserToActivationKeys: migrated (0.0522s) ===============================

==  CreateSystemActivationKeys: migrating =====================================
-- create_table(:system_activation_keys)
NOTICE:  CREATE TABLE will create implicit sequence "system_activation_keys_id_seq" for serial column "system_activation_keys.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_activation_keys_pkey" for table "system_activation_keys"
   -> 0.0446s
-- add_index(:system_activation_keys, :system_id)
   -> 0.0420s
-- add_index(:system_activation_keys, :activation_key_id)
   -> 0.0548s
==  CreateSystemActivationKeys: migrated (0.1416s) ============================

==  ChangesetDistributions: migrating =========================================
-- create_table(:changeset_distributions)
NOTICE:  CREATE TABLE will create implicit sequence "changeset_distributions_id_seq" for serial column "changeset_distributions.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changeset_distributions_pkey" for table "changeset_distributions"
   -> 0.0798s
==  ChangesetDistributions: migrated (0.0800s) ================================

==  AddDetailsToPermission: migrating =========================================
-- add_column(:permissions, :name, :string, {:default=>""})
   -> 0.0009s
-- add_column(:permissions, :description, :string, {:default=>""})
   -> 0.0377s
==  AddDetailsToPermission: migrated (0.0389s) ================================

==  ChangesetsSystemTemplate: migrating =======================================
-- create_table(:changesets_system_templates, {:id=>false})
   -> 0.0010s
==  ChangesetsSystemTemplate: migrated (0.0012s) ==============================

==  CreateTemplates: migrating ================================================
-- create_table(:system_templates)
NOTICE:  CREATE TABLE will create implicit sequence "system_templates_id_seq" for serial column "system_templates.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_templates_pkey" for table "system_templates"
   -> 0.0995s
==  CreateTemplates: migrated (0.0996s) =======================================

==  AddReqeustType: migrating =================================================
-- add_column(:notices, :request_type, :string)
   -> 0.0005s
==  AddReqeustType: migrated (0.0006s) ========================================

==  RenameSubscriptionsPools: migrating =======================================
-- rename_table(:subscriptions, :pools)
   -> 0.0006s
==  RenameSubscriptionsPools: migrated (0.0007s) ==============================

==  RenameKeySubscrptionKeyPool: migrating ====================================
-- rename_table(:key_subscriptions, :key_pools)
   -> 0.0006s
==  RenameKeySubscrptionKeyPool: migrated (0.0007s) ===========================

==  RenameSubscriptionUuid: migrating =========================================
-- rename_column(:pools, :subscription, :cp_id)
   -> 0.0004s
==  RenameSubscriptionUuid: migrated (0.0005s) ================================

==  RenameKeyPoolSubscriptionId: migrating ====================================
-- rename_column(:key_pools, :subscription_id, :pool_id)
   -> 0.0004s
==  RenameKeyPoolSubscriptionId: migrated (0.0005s) ===========================

==  CreateSystemTemplatePackGroups: migrating =================================
-- create_table(:system_template_pack_groups)
NOTICE:  CREATE TABLE will create implicit sequence "system_template_pack_groups_id_seq" for serial column "system_template_pack_groups.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_template_pack_groups_pkey" for table "system_template_pack_groups"
   -> 0.0500s
-- add_index(:system_template_pack_groups, :system_template_id)
   -> 0.0497s
==  CreateSystemTemplatePackGroups: migrated (0.0999s) ========================

==  CreateSystemTemplatePgCategories: migrating ===============================
-- create_table(:system_template_pg_categories)
NOTICE:  CREATE TABLE will create implicit sequence "system_template_pg_categories_id_seq" for serial column "system_template_pg_categories.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_template_pg_categories_pkey" for table "system_template_pg_categories"
   -> 0.0424s
-- add_index(:system_template_pg_categories, :system_template_id)
   -> 0.0420s
==  CreateSystemTemplatePgCategories: migrated (0.0846s) ======================

==  SystemTemplatePackages: migrating =========================================
-- create_table(:system_template_packages)
NOTICE:  CREATE TABLE will create implicit sequence "system_template_packages_id_seq" for serial column "system_template_packages.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_template_packages_pkey" for table "system_template_packages"
   -> 0.0939s
-- add_index(:system_template_packages, :system_template_id)
   -> 0.0589s
==  SystemTemplatePackages: migrated (0.1529s) ================================

==  CreateFilters: migrating ==================================================
-- create_table(:filters)
NOTICE:  CREATE TABLE will create implicit sequence "filters_id_seq" for serial column "filters.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "filters_pkey" for table "filters"
   -> 0.0446s
==  CreateFilters: migrated (0.0447s) =========================================

==  FiltersProducts: migrating ================================================
-- create_table(:filters_products, {:id=>false})
   -> 0.0009s
==  FiltersProducts: migrated (0.0010s) =======================================

==  CreateRepository: migrating ===============================================
-- create_table(:repositories)
NOTICE:  CREATE TABLE will create implicit sequence "repositories_id_seq" for serial column "repositories.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "repositories_pkey" for table "repositories"
   -> 0.0962s
==  CreateRepository: migrated (0.0963s) ======================================

==  AddChangesetsDependencyDependencyOf: migrating ============================
-- add_column(:changeset_dependencies, :dependency_of, :string)
   -> 0.0005s
==  AddChangesetsDependencyDependencyOf: migrated (0.0006s) ===================

==  AddSystemTemplateDistribution: migrating ==================================
-- create_table(:system_template_distributions)
NOTICE:  CREATE TABLE will create implicit sequence "system_template_distributions_id_seq" for serial column "system_template_distributions.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_template_distributions_pkey" for table "system_template_distributions"
   -> 0.0464s
-- add_index(:system_template_distributions, :system_template_id)
   -> 0.0432s
==  AddSystemTemplateDistribution: migrated (0.0898s) =========================

==  AddEmailToUser: migrating =================================================
-- add_column(:users, :email, :string)
   -> 0.0254s
==  AddEmailToUser: migrated (0.0275s) ========================================

==  AddPasswordResetToUsers: migrating ========================================
-- add_column(:users, :password_reset_token, :string)
   -> 0.0005s
-- add_column(:users, :password_reset_sent_at, :datetime)
   -> 0.0003s
==  AddPasswordResetToUsers: migrated (0.0009s) ===============================

==  AddRepoDetails: migrating =================================================
-- add_column(:repositories, :release, :string, {:null=>true})
   -> 0.0005s
==  AddRepoDetails: migrated (0.0007s) ========================================

==  FixRepositoryWhitelist: migrating =========================================
-- rename_column(:repositories, :blacklisted, :enabled)
   -> 0.0004s
-- change_column_default(:repositories, :enabled, true)
   -> 0.0007s
==  FixRepositoryWhitelist: migrated (0.0013s) ================================

==  UpdateRepoAddMajorMinor: migrating ========================================
-- add_column(:repositories, :major, :integer)
   -> 0.0005s
-- add_column(:repositories, :minor, :string)
   -> 0.0004s
==  UpdateRepoAddMajorMinor: migrated (0.0011s) ===============================

==  RemoveRepoRelease: migrating ==============================================
-- remove_column(:repositories, :release)
   -> 0.0006s
==  RemoveRepoRelease: migrated (0.0007s) =====================================

==  CreateGpgs: migrating =====================================================
-- create_table(:gpg_keys)
NOTICE:  CREATE TABLE will create implicit sequence "gpg_keys_id_seq" for serial column "gpg_keys.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "gpg_keys_pkey" for table "gpg_keys"
   -> 0.1158s
-- add_index(:gpg_keys, [:organization_id, :name], {:unique=>true})
   -> 0.0421s
==  CreateGpgs: migrated (0.1581s) ============================================

==  AddGpgColumnToRepository: migrating =======================================
-- add_column(:repositories, :gpg_key_id, :integer)
   -> 0.0005s
==  AddGpgColumnToRepository: migrated (0.0006s) ==============================

==  AddDefaultGpgKeyToProduct: migrating ======================================
-- add_column(:products, :gpg_key_id, :integer)
   -> 0.0005s
==  AddDefaultGpgKeyToProduct: migrated (0.0006s) =============================

==  AddSystemTasks: migrating =================================================
-- create_table(:system_tasks)
NOTICE:  CREATE TABLE will create implicit sequence "system_tasks_id_seq" for serial column "system_tasks.id"
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_tasks_pkey" for table "system_tasks"
   -> 0.0500s
==  AddSystemTasks: migrated (0.0501s) ========================================

==  AddOrgDeletionTaskId: migrating ===========================================
-- add_column(:organizations, :task_id, :integer, {:default=>nil})
   -> 0.0008s
==  AddOrgDeletionTaskId: migrated (0.0009s) ==================================

==  AddParamsToTaskStatus: migrating ==========================================
-- add_column(:task_statuses, :parameters, :text)
   -> 0.0005s
==  AddParamsToTaskStatus: migrated (0.0006s) =================================

==  AddTaskTypeToTaskStatus: migrating ========================================
-- add_column(:task_statuses, :task_type, :string)
   -> 0.0005s
==  AddTaskTypeToTaskStatus: migrated (0.0006s) ===============================

==  AddingPreferencesToUser: migrating ========================================
-- add_column(:users, :preferences, :text)
   -> 0.0005s
==  AddingPreferencesToUser: migrated (0.0006s) ===============================

==  AddUserToTaskStatus: migrating ============================================
rake aborted!
An error has occurred, this and all later migrations canceled:

uninitialized constant Glue::Pulp
/usr/share/katello/app/models/user.rb:19
/usr/share/katello/db/migrate/20111208225553_add_user_to_task_status.rb:3:in `up_without_benchmarks'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:314:in `send'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:314:in `migrate'
/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:314:in `migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:397:in `__send__'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:397:in `migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:539:in `migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:613:in `call'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:613:in `ddl_transaction'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/database_statements.rb:139:in `transaction'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/transactions.rb:207:in `transaction'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:613:in `ddl_transaction'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:538:in `migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:525:in `each'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:525:in `migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:435:in `up'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:417:in `migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/railties/databases.rake:151
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:176:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:174:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:174:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:157:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:176:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:174:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:174:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:157:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:112:in `invoke_task'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:84:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:62:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32
/usr/bin/rake:19:in `load'
/usr/bin/rake:19
Tasks: TOP => setup => db:migrate:reset => db:migrate
Starting Katello instance
Please run katello-configure first
Starting katello: Starting server on 0.0.0.0:5000 ... 
[  OK  ]
Starting Katello jobs instance
Please run katello-configure first
Starting katello-jobs: [FAILED]
DONE. CHECK ALL THE MESSAGES ABOVE!
[root@hp-xw8600-01 ~]# katello-configure --deployment=sam --org-name 'RedHat_QE' 
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120430-030703/main.log]
err: /Stage[main]/Apache2::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Service[httpd]: Execution of '/sbin/service httpd start' returned 1:  at /usr/share/katello/install/puppet/modules/apache2/manifests/service.pp:4
err: /Stage[main]/Candlepin::Service/Exec[wait for candlepin]/returns: change from notrun to 0 failed: /usr/bin/wget --spider --tries 10 --retry-connrefused --no-check-certificate https://localhost:8443/candlepin/ returned 4 instead of one of [0] at /usr/share/katello/install/puppet/modules/candlepin/manifests/service.pp:10
[root@hp-xw8600-01 ~]# headpin
Usage: headpin <options> <command>
Supported Commands:
	activation_key activation key specific actions in the katello server
	client         client specific actions in the katello server
	environment    environment specific actions in the katello server
	org            organization specific actions in the katello server
	permission     permission pecific actions in the katello server
	ping           get the status of the katello server
	product        product specific actions in the katello server
	provider       provider specific actions in the katello server
	shell          run the cli as a shell
	system         system specific actions in the katello server
	user           user specific actions in the katello server
	user_role      user role specific actions in the katello server

headpin: error: No command given; please see --help
[root@hp-xw8600-01 ~]# headpin -u admin -p admin org list
Connection refused
[root@hp-xw8600-01 ~]# headpin -u admin -p admin org list
Connection refused
[root@hp-xw8600-01 ~]# headpin -u admin -p admin org --help
Usage: headpin <options> org <action> <options>
Supported Actions:
	create         create an organization
	info           list information about an organization
	list           list all known organizations
	update         update an organization
	delete         delete an organization
	subscriptions  show subscriptions

Options:
  -h, --help  show this help message and exit
[root@hp-xw8600-01 ~]# headpin -u admin -p admin org list
Connection refused
[root@hp-xw8600-01 ~]# headpin -u admin -p admin org list
Connection refused
[root@hp-xw8600-01 ~]# service httpd start
Starting httpd: Syntax error on line 30 of /etc/httpd/conf.d/pulp.conf:
Invalid command 'WSGIProcessGroup', perhaps misspelled or defined by a module not included in the server configuration
[FAILED]
[root@hp-xw8600-01 ~]# headpin -u admin -p admin org list
Connection refused


Expected Results :
Successful configuration of SAM.
Comment 3 Eric Sammons 2012-05-29 10:41:47 EDT
Step one in this issue works, attempts to configure katello on a sam (or headpin) installation will fail.  However, katello-reset-dbs still does not work.
Comment 4 Jordan OMara 2012-07-12 14:35:45 EDT
Works for me as of katello-headpin-0.2.27-1.git.0.d8a6818.fc16.noarch (roughly equivilant to katello-headpin-0.2.24-1 tag in github; not sure why my build number looks like that)
Comment 5 Jordan OMara 2012-07-12 14:49:40 EDT
So reset-dbs works for me on a clean headpin install but I didnt realize that you had done a katello-configure --deployment=katello on your headpin install.

Going to make this bug, 

"There should be a way to get your system to a state where you can re-run katello configure and it will work"
Comment 7 Lukas Zapletal 2012-07-16 08:59:57 EDT
Taking - I will remove katello-reset-dbs once the feature is done.
Comment 8 Jordan OMara 2012-10-23 14:56:01 EDT
katello-reset-dbs obsoleted by katello-configure for customer usage

Note You need to log in before you can comment on or make changes to this bug.